Page MenuHomeFreeBSD

ci-qemu-test.sh: use pkgbase
ClosedPublic

Authored by emaste on Apr 3 2020, 9:49 PM.

Details

Summary

Instead of an ad-hoc list of directories to make install.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste added inline comments.
tools/boot/ci-qemu-test.sh
36 ↗(On Diff #70163)

should probably get objtop from make -V OBJTOP as with srctop, below

emaste added reviewers: bcran, ian.

Get OBJTOP from make -V OBJTOP

Need to get pkg to use uncompressed files still, with this change Cirrus-CI failed with:

sh tools/boot/ci-qemu-test.sh
pkg: Warning: Major OS version upgrade detected.  Running "pkg bootstrap -f" recommended
Updating local repository catalogue...
pkg: file:///usr/obj/tmp/cirrus-ci-build/repo/FreeBSD:13:amd64/latest/meta.txz: No such file or directory
repository local has no meta file, using default settings
pkg: file:///usr/obj/tmp/cirrus-ci-build/repo/FreeBSD:13:amd64/latest/packagesite.txz: No such file or directory
Unable to update repository local
Error updating repositories!
This revision is now accepted and ready to land.Apr 5 2020, 4:31 AM
manu added a subscriber: manu.

Not familiar with this script but the code looks ok to me.
To test better that we don't break pkg dependencies maybe omit FreeBSD-clibs as it should be installed as FreeBSD-runtime depends on it.
This would test that installing kernel+bootloader+runtime result in a bootable install in single user.

I held off from committing this originally because pkg did not yet properly support .tar packages. This works now and I plan to commit soon.

tools/boot/ci-qemu-test.sh
9 ↗(On Diff #70168)

I don't think make buildworld generates the proper repo. Maybe you should include a sentence for the preconditions for this?

29 ↗(On Diff #70168)

Is this still true?

Update comment as suggested by @imp

This revision now requires review to proceed.Sep 4 2020, 7:34 PM

Also remove outdated comment

emaste added inline comments.
tools/boot/ci-qemu-test.sh
9 ↗(On Diff #70168)

Yes, this comment needs updating. (The preconditions for this script are implicitly specified in .cirrus.yml.)

This revision is now accepted and ready to land.Sep 5 2020, 4:27 AM
This revision was automatically updated to reflect the committed changes.